Download it now!
Bug 104792 - FILESAVE: PPTX: Corrupted File after RT (The element has incomplete child element)
Summary: FILESAVE: PPTX: Corrupted File after RT (The element has incomplete child ele...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.1.0 target:6.0.4 target:5.4.7
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2016-12-19 18:09 UTC by Xisco Faulí
Modified: 2018-03-22 09:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-12-19 18:09:22 UTC
1. Open attachment 60445 [details] from bug 49050
2. Save it as a new .PPTX
3. Open the new .PPTX file in MSO PowerPoint

Error Node Type: CommonBehavior
Error Description: The element has incomplete child element

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 53edf60c4ce6ed32f87471e018878c40b788005a
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-18_06:57:59
Locale: es-ES (es_ES); Calc: group
Comment 1 Buovjaga 2016-12-20 10:01:11 UTC
Repro.

Win 8.1 32-bit
MSO 2013
LibO Version: 5.4.0.0.alpha0+
Build ID: 52853b53494e1e51d71ccdb54afd7a4f16fba93c
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-19_23:19:20
Locale: fi-FI (fi_FI); Calc: group
Comment 2 QA Administrators 2017-12-21 03:37:07 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2018-03-14 14:20:16 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c354d1bf1ca29a5ae9ee9d6f18dd68b90530043

tdf#104792 Double check for target shape

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-03-15 14:55:28 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 28e8c3e28bf4944ecad23961602b9b1f72613d39
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: he-IL (ca_ES.UTF-8); Calc: group

Thanks for fixing it Szymon Kłos !!!
Comment 5 Commit Notification 2018-03-20 08:57:34 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7e58e9b93ea89b7f3aaeb7b4433686ea2ad5f96&h=libreoffice-6-0

tdf#104792 Double check for target shape

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-03-22 09:32:37 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c33ec20ebadcc957b4fbbaf0267bed17efda97cd&h=libreoffice-5-4

tdf#104792 Double check for target shape

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.